org.apache.fop.layoutmgr

## Class UnresolvedListElement

- java.lang.Object
- - org.apache.fop.layoutmgr.ListElement
  - - org.apache.fop.layoutmgr.UnresolvedListElement

- Direct Known Subclasses:
    BreakElement, UnresolvedListElementWithLength

      public abstract class UnresolvedListElement
      extends ListElement

  This class represents an unresolved list element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedListElement(Position position)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LayoutManager` | `getOriginatingLayoutManager()`
    `abstract boolean` | `isConditional()`

    - ### Methods inherited from class org.apache.fop.layoutmgr.ListElement

      `getLayoutManager, getPosition, isBox, isForcedBreak, isGlue, isPenalty, isUnresolvedElement, setPosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedListElement

          public UnresolvedListElement(Position position)

      Main constructor
      Parameters:
        `position` - the Position instance needed by the addAreas stage of the LMs.

  - ### Method Detail

    - #### isConditional

          public abstract boolean isConditional()

      Returns:
        true if the element is conditional (conditionality="discard")

    - #### getOriginatingLayoutManager

          protected LayoutManager getOriginatingLayoutManager()

      Returns:
        the layout manager that created this ListElement

Copyright © 2023 Apache Software Foundation. All rights reserved.